import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSItemProvider } from "../Foundation/NSItemProvider.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSURL } from "../Foundation/NSURL.js";
export declare class _LPLinkMetadata extends _NSObject {
    static alloc(): _LPLinkMetadata;
    static new(): _LPLinkMetadata;
    init(): _LPLinkMetadata;
    /** The original URL of the metadata request. */
    originalURL(): _NSURL | null;
    setOriginalURL$(value: _NSURL | null): void;
    /**
     * The URL that returned the metadata, taking server-side redirects into account. The URL that returns the metadata may differ from the ``LPLinkMetadata/originalURL`` to which you sent the metadata request. This can happen if the server redirects the request, for example, when a resource has moved, or when the original URL is a domain alias.
     */
    URL(): _NSURL | null;
    setURL$(value: _NSURL | null): void;
    /** A representative title for the URL. */
    title(): _NSString | null;
    setTitle$(value: _NSString | null): void;
    /**
     * An object that retrieves data corresponding to a representative icon for the URL.
     */
    iconProvider(): _NSItemProvider | null;
    setIconProvider$(value: _NSItemProvider | null): void;
    /**
     * An object that retrieves data corresponding to a representative image for the URL.
     */
    imageProvider(): _NSItemProvider | null;
    setImageProvider$(value: _NSItemProvider | null): void;
    /**
     * An object that retrieves data corresponding to a representative video for the URL. The item provider returns a video that <doc://com.apple.documentation/documentation/avfoundation> can play.
     */
    videoProvider(): _NSItemProvider | null;
    setVideoProvider$(value: _NSItemProvider | null): void;
    /**
     * A remote URL corresponding to a representative video for the URL. This may reference a remote video file that <doc://com.apple.documentation/documentation/avfoundation> can stream, or a YouTube video URL.
     */
    remoteVideoURL(): _NSURL | null;
    setRemoteVideoURL$(value: _NSURL | null): void;
}
export interface _LPLinkMetadata extends _NSCopying, _NSSecureCoding {
}
